Codevisor Docs
Api reference

POST Harnesses Custom Test

POST/v1/harnesses/custom/test

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

id*string
name*string
command*string
args?array<string>|null
env?|null

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/harnesses/custom/test" \  -H "Content-Type: application/json" \  -d '{    "id": "string",    "name": "string",    "command": "string"  }'
{  "ok": true,  "agentName": "string",  "protocolVersion": 0,  "error": "string"}
{  "error": "string"}
{  "error": "string"}
{  "error": "string"}
{  "error": "string"}
{  "error": "string"}
{  "error": "string"}